<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "uberall_event".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "UberallEvent".
 *
 * Columns in table "uberall_event" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $uberall_location_id
 * @property string $uberall_uid
 * @property string $uberall_business_name
 * @property string $date_added
 * @property string $data
 *
 */
abstract class BaseUberallEvent extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'uberall_event';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'UberallEvent|UberallEvents', $n);
    }

    public static function representingColumn()
    {
        return 'uberall_uid';
    }

    public function rules()
    {
        return array(
            array(
                'uberall_location_id, uberall_business_name, date_added, data',
                'required'
            ),
            array(
                'uberall_location_id',
                'numerical',
                'integerOnly' => true
            ),
            array(
                'uberall_uid',
                'length',
                'max' => 36
            ),
            array(
                'uberall_business_name',
                'length',
                'max' => 255
            ),
            array(
                'id, uberall_location_id, uberall_uid, uberall_business_name, date_added, data',
                'safe',
                'on' => 'search'
            )
        );
    }

    public function relations()
    {
        return array();
    }

    public function pivotModels()
    {
        return array();
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'uberall_location_id' => Yii::t('app', 'Uberall Location'),
            'uberall_uid' => Yii::t('app', 'Uberall Uid'),
            'uberall_business_name' => Yii::t('app', 'Uberall Business Name'),
            'date_added' => Yii::t('app', 'Date Added'),
            'data' => Yii::t('app', 'Data')
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria();

        $criteria->compare('id', $this->id);
        $criteria->compare('uberall_location_id', $this->uberall_location_id);
        $criteria->compare('uberall_uid', $this->uberall_uid, true);
        $criteria->compare('uberall_business_name', $this->uberall_business_name, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('data', $this->data, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
            'pagination' => array('pageSize' => 100)
        ));
    }
}
